Skip to main content
POST
/
clients
/
me
/
integrations
/
meld
/
retail
/
quote
Get quote
curl --request POST \
  --url https://api.portalhq.io/api/v3/clients/me/integrations/meld/retail/quote \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "countryCode": "<string>",
  "sourceCurrencyCode": "<string>",
  "destinationCurrencyCode": "<string>",
  "sourceAmount": 123,
  "walletAddress": "<string>",
  "customerId": "<string>",
  "paymentMethodType": "<string>",
  "serviceProviders": [
    "<string>"
  ],
  "subdivision": "<string>"
}
'
import requests

url = "https://api.portalhq.io/api/v3/clients/me/integrations/meld/retail/quote"

payload = {
"countryCode": "<string>",
"sourceCurrencyCode": "<string>",
"destinationCurrencyCode": "<string>",
"sourceAmount": 123,
"walletAddress": "<string>",
"customerId": "<string>",
"paymentMethodType": "<string>",
"serviceProviders": ["<string>"],
"subdivision": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
countryCode: '<string>',
sourceCurrencyCode: '<string>',
destinationCurrencyCode: '<string>',
sourceAmount: 123,
walletAddress: '<string>',
customerId: '<string>',
paymentMethodType: '<string>',
serviceProviders: ['<string>'],
subdivision: '<string>'
})
};

fetch('https://api.portalhq.io/api/v3/clients/me/integrations/meld/retail/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "quotes": [
      {
        "transactionType": "<string>",
        "sourceAmount": 123,
        "sourceAmountWithoutFees": 123,
        "sourceCurrencyCode": "<string>",
        "destinationAmount": 123,
        "destinationAmountWithoutFees": 123,
        "destinationCurrencyCode": "<string>",
        "exchangeRate": 123,
        "transactionFee": 123,
        "networkFee": 123,
        "partnerFee": 123,
        "totalFee": 123,
        "fiatAmountWithoutFees": 123,
        "paymentMethodType": "<string>",
        "serviceProvider": "<string>",
        "countryCode": "<string>",
        "customerScore": 123,
        "institutionName": "<string>",
        "isNativeAvailable": true,
        "rampIntelligence": {
          "rampScore": 123,
          "lowKyc": true,
          "previouslyUsed": true
        }
      }
    ],
    "message": "<string>",
    "error": "<string>",
    "timestamp": "<string>"
  }
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.

Body

application/json
countryCode
string
required

ISO-3166-1 alpha-2 country code.

sourceCurrencyCode
string
required
destinationCurrencyCode
string
required
sourceAmount
number
required
walletAddress
string
customerId
string
paymentMethodType
string
serviceProviders
string[]
subdivision
string

Response

Quote retrieved successfully

data
object